Create an event

Create an event to track a contact's interaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

CURL Example

curl --request POST \
     --url https://api.brevo.com/v3/events \
     --header 'accept: application/json' \
     --header 'api-key: ' \
     --header 'content-type: application/json' \
     --data '
{
     "event_name": "video_played",
    "identifiers": {
        "email_id": "[email protected]",
        "ext_id": "ext_09887"
    },
    "contact_properties": {
        "FIRSTNAME": "Jane",
        "LASTNAME": "Doe",
        "AGE": 32,
        "GENDER": "FEMALE"
   },
"event_properties": {
  "video_title": "Brevo — The most approachable CRM suite",
  "video_description": "Create your free account today!",
  "duration": 142,
  "autoplayed": false,
  "upload_date": "2023-11-24T12:09:10+01:00"
  }
}'
Body Params
contact_properties
object

Properties defining the state of the contact associated to this event. Useful to update contact attributes defined in your contacts database while passing the event. For example: "FIRSTNAME": "Jane" , "AGE": 37

string

Timestamp of when the event occurred (e.g. "2024-01-24T17:39:57+01:00"). If no value is passed, the timestamp of the event creation is used.

string
required

The name of the event that occurred. This is how you will find your event in Brevo. Limited to 255 characters, alphanumerical characters and - _ only.

event_properties
object

Properties of the event. Top level properties and nested properties can be used to better segment contacts and personalise workflow conditions. The following field type are supported: string, number, boolean (true/false), date (Timestamp e.g. "2024-01-24T17:39:57+01:00"). Keys are limited to 255 characters, alphanumerical characters and - _ only. Size is limited to 50Kb.

identifiers
object
required

Identifies the contact associated with the event. At least one identifier is required.

object
object

Identifiers of the object record associated with this event. Ignored if the object type or identifier for this record does not exist on the account.

Responses
204

Event posted

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json